Package com.collibra.dgc.core.api.dto.instance.domain

# Class FindDomainsRequest.Builder

Object
Builder

Enclosing class:
  `FindDomainsRequest`

public static final class FindDomainsRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor paginations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindDomainsRequest.Builder`
  `aFindDomainsRequest()`
  Deprecated.
  This method will be removed in the future.
  `FindDomainsRequest`
  `build()`
  `FindDomainsRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindDomainsRequest.Builder`
  `communityId(UUID communityId)`
  `FindDomainsRequest.Builder`
  `cursor(String cursor)`
  `FindDomainsRequest.Builder`
  `excludeMeta(boolean excludeMeta)`
  `FindDomainsRequest.Builder`
  `includeSubCommunities(boolean includeSubCommunities)`
  `FindDomainsRequest.Builder`
  `limit(int limit)`
  `FindDomainsRequest.Builder`
  `name(String name)`
  `FindDomainsRequest.Builder`
  `nameMatchMode(MatchMode nameMatchMode)`
  `FindDomainsRequest.Builder`
  `offset(int offset)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor paginations
  `String`
  `toString()`
  `FindDomainsRequest.Builder`
  `typeId(UUID typeId)`
  `FindDomainsRequest.Builder`
  `typeIds(List<UUID> typeIds)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated(forRemoval=true) protected int offset
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor paginations

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### aFindDomainsRequest

    public static FindDomainsRequest.Builder aFindDomainsRequest()
    Deprecated.
    This method will be removed in the future. Please use `FindDomainsRequest.builder()`
    Create a new Builder.

  - ### offset

    @Deprecated(forRemoval=true) public FindDomainsRequest.Builder offset(int offset)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor paginations

  - ### limit

    public FindDomainsRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindDomainsRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindDomainsRequest.builder()`
    Clone method for this Builder.

  - ### cursor

    public FindDomainsRequest.Builder cursor(String cursor)
    Parameters:
      `cursor` - Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (`nextCursor` property).
    Returns:
      `this`.

  - ### name

    public FindDomainsRequest.Builder name(String name)
    Parameters:
      `name` - The name of the community to search for.
    Returns:
      `this`.

  - ### nameMatchMode

    public FindDomainsRequest.Builder nameMatchMode(MatchMode nameMatchMode)
    Parameters:
      `nameMatchMode` - The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive." When omitted, the nameMatchMode defaults to `ANYWHERE`.
    Returns:
      `this`.

  - ### excludeMeta

    public FindDomainsRequest.Builder excludeMeta(boolean excludeMeta)
    Parameters:
      `excludeMeta` - The exclude meta flag. If this is set to true then the meta domains will not be returned (meta domains are i.e. domains not created manually by the user). When omitted, the excludeMeta flag defaults to `true`.
    Returns:
      `this`.

  - ### communityId

    public FindDomainsRequest.Builder communityId(UUID communityId)
    Parameters:
      `communityId` - The ID of the community to find the domains in.
    Returns:
      `this`.

  - ### typeId

    public FindDomainsRequest.Builder typeId(UUID typeId)
    Parameters:
      `typeId` - The ID of the domain type to search for. Returned domains are of this type.
    Returns:
      `this`.

  - ### typeIds

    public FindDomainsRequest.Builder typeIds(List<UUID> typeIds)
    Parameters:
      `typeIds` - The IDs of the domain types to search for. Returned domains are of these types.
    Returns:
      `this`.

  - ### includeSubCommunities

    public FindDomainsRequest.Builder includeSubCommunities(boolean includeSubCommunities)
    Parameters:
      `includeSubCommunities` - Whether to include sub-communities. When `true`, direct sub-communities of the community referenced by the `communityId` parameter are also included in the search. Sub-communities of those sub-communities are not included.
    Returns:
      `this`.

  - ### build

    public FindDomainsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`